
Redmine - Patch #34119

Fix selenium chrome options so files are downloaded to tmp/downloads in system tests

2020-10-16 03:39 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

as posted in https://github.com/SeleniumHQ/selenium/issues/5292#issuecomment-388810585

changing the hash key from chromeOptions to goog:chromeOptions fixes the issue.

Unfortunately it is unclear to me if we have to retain the old 'chromeOptions'

key for windows support and I have no way to try this out.

https://chromedriver.chromium.org/capabilities also uses the

'goog:' prefix in examples without mentioning any specific platform so I

think it will just work.

Associated revisions

Revision 20549 - 2020-12-02 22:48 - Go MAEDA

Fix selenium chrome options so files are downloaded to tmp/downloads in system tests (#34119).

Patch by Jens Krämer.

History

#1 - 2020-12-01 22:49 - Marius BĂLTEANU

- Target version set to 4.2.0

#2 - 2020-12-02 09:48 - Go MAEDA

- File 34119-v2.diff added

Updated the patch for the current trunk.

#3 - 2020-12-02 22:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix. Thank you.

Files

0001-fix-chrome-options-key-for-system-tests-and-remove-c.patch 2.75 KB 2020-10-16 Jens Krämer

34119-v2.diff 1.92 KB 2020-12-02 Go MAEDA
